OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_GroupAssignment Class Reference

Representation of STEP entity GroupAssignment
.

`#include <StepBasic_GroupAssignment.hxx>`

Inheritance diagram for StepBasic_GroupAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_GroupAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Group)&aAssignedGroup)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_Group | AssignedGroup () const
| Returns field AssignedGroup .
Standard_EXPORT void | SetAssignedGroup (const Handle(StepBasic_Group)&AssignedGroup)
| Set field AssignedGroup .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Group | theAssignedGroup

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_GroupAssignment::StepBasic_GroupAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Group StepBasic_GroupAssignment::AssignedGroup | ( |  | ) | const

Standard_EXPORT const StepBasic_GroupAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_AppliedGroupAssignment, and StepAP214_AutoDesignGroupAssignment.

Standard_EXPORT void StepBasic_GroupAssignment::Init | ( | const Handle(StepBasic_Group)& | aAssignedGroup | ) |

| Reimplemented in StepAP214_AutoDesignGroupAssignment.

Standard_EXPORT void StepBasic_GroupAssignment::SetAssignedGroup | ( | const Handle(StepBasic_Group)& | AssignedGroup | ) |

## Field Documentation

Handle_StepBasic_Group StepBasic_GroupAssignment::theAssignedGroup`[private]`

The documentation for this class was generated from the following file:

- StepBasic_GroupAssignment.hxx